Subject: Re: bug#1798: 23.0.60; easypg incompatible with tramp?

From: Daiki Ueno <[email-masked]>
Date: Fri, 09 Jan 2009 11:02:25 +0900

>>>>> In <[email-masked]> 
>>>>>	[email-masked] wrote:
> I tried to open a remote, encrypted file /ssh:foo:/bar/quux.txt.gpg.
> When I do, it immediately pops up with this buffer:

>     Select recipents for encryption.
>     If no one is selected, symmetric encryption will be performed.  
>     - `m' to mark a key on the line
>     - `u' to unmark a key on the line
>     [Cancel] [OK]
>     <list of keys>

> It looks like easypg is trying to encrypt the file, instead of opening
> it!  I think this problem is because tramp starts by reading the
> remote file in and writing it out to /tmp/<gibberish>.gpg.

I can't reproduce it here.  Could you please try:

M-x debug-on-entry epa-file-write-region

to figure out which function calls `write-region' handler?

Regards,
-- 
Daiki Ueno